Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr.instruct
Class AttributeSet

    java.lang.Object
      net.sf.saxon.expr.instruct.Procedure
          net.sf.saxon.expr.instruct.AttributeSet

All Implemented Interfaces:
  Serializable, SourceLocator, LocationProvider, SaxonLocator, Container, InstructionInfo, Locator

    public class AttributeSet

extends Procedure

The compiled form of an xsl:attribute-set element in the stylesheet.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.instruct.Procedure
`body`

Constructor Summary
`AttributeSet()` Create an empty attribute set

Method Summary
`static void` | `expand(AttributeSet[] asets, XPathContext context)` Expand (evaluate) an array of attribute sets
`void` | `expand(XPathContext context)` Evaluate an attribute set
`int` | `getConstructType()` Get the type of construct.
`int` | `getFocusDependencies()` Determine whether the attribute set has any dependencies on the focus
`StructuredQName` | `getObjectName()` Get a name identifying the object of the expression, for example a function name, template name, variable name, key name, element name, etc.
`void` | `setName(StructuredQName attributeSetName)` Set the name of the attribute-set
`void` | `setStackFrameMap(SlotManager stackFrameMap)` Set the stack frame map which allocates slots to variables declared in this attribute set
`void` | `setUseAttributeSets(AttributeSet[] useAttributeSets)` Set the attribute sets used by this attribute set

Methods inherited from class net.sf.saxon.expr.instruct.Procedure
`getBody, getColumnNumber, getColumnNumber, getContainerGranularity, getExecutable, getHostLanguage, getLineNumber, getLineNumber, getLocationProvider, getProperties, getProperty, getPublicId, getStackFrameMap, getSystemId, getSystemId, setBody, setExecutable, setHostLanguage, setLineNumber, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeSet

    public AttributeSet()

  Create an empty attribute set

Method Detail

### setName

    public void setName(StructuredQName attributeSetName)

  Set the name of the attribute-set

  Parameters:
    `attributeSetName` - the name of the attribute-set

### setUseAttributeSets

    public void setUseAttributeSets(AttributeSet[] useAttributeSets)

  Set the attribute sets used by this attribute set

  Parameters:
    `useAttributeSets` - the set of attribute sets used by this attribute set

### setStackFrameMap

    public void setStackFrameMap(SlotManager stackFrameMap)

  Set the stack frame map which allocates slots to variables declared in this attribute set

  Overrides:
    `setStackFrameMap` in class `Procedure`
  Parameters:
    `stackFrameMap` - the stack frame map

### getFocusDependencies

    public int getFocusDependencies()

  Determine whether the attribute set has any dependencies on the focus

  Returns:
    the dependencies

### expand

    public void expand(XPathContext context)
                throws XPathException

  Evaluate an attribute set

  Parameters:
    `context` - the dynamic context
  Throws:
    `XPathException` - if any failure occurs

### getConstructType

    public int getConstructType()

  Get the type of construct. This will either be the fingerprint of a standard XSLT instruction name (values in `StandardNames`: all less than 1024) or it will be a constant in class `Location`.

  Returns:
    an integer identifying the kind of construct

### getObjectName

    public StructuredQName getObjectName()

  Get a name identifying the object of the expression, for example a function name, template name, variable name, key name, element name, etc. This is used only where the name is known statically.

  Returns:
    the QName of the object declared or manipulated by this instruction or expression

### expand

    public static void expand(AttributeSet[] asets,
                              XPathContext context)
                       throws XPathException

  Expand (evaluate) an array of attribute sets

  Parameters:
    `asets` - the attribute sets to be evaluated
    `context` - the run-time context to use
  Throws:
    `XPathException` - if evaluation of any attribute-set fails with a dynamic error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.